Confirm Order

Confirms a withdrawal order that is waiting for confirmation.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Confirms a withdrawal order created with Create Order that is waiting for confirmation. Until it is confirmed, the order is not processed.

Request

POST /partner/orders/{order_id}/confirm

The request has no body.

ParameterTypeRequiredDescription
order_idstringYesID of the withdrawal order to confirm.

Example Response

The confirmed order is returned in the same shape as Order Details.

{
  "id": "f345bde474a84e569e3f1a972502b0e2",
  "state": "pending",
  "reference_id": "123abc",
  "operation": "withdrawal",
  "created_at": "2026-06-22T13:23:18.452252+00:00",
  "processed_at": "2026-06-22T13:23:18.452252+00:00",
  "last_updated_at": "2026-06-22T13:23:18.452252+00:00",
  "settlement": {
    "currency": "MXN",
    "amount": "1234.56",
    "operation": "debit"
  },
  "withdrawal": {
    "currency": "MXN",
    "amount": "1234.56",
    "destination_amount": "1224.56",
    "fee_amount": "10",
    "type": "outgoing_instruction",
    "outgoing_instruction": {
      "instruction_id": "8f1c0d2e3a4b5c6d7e8f9a0b1c2d3e4f"
    }
  }
}

Errors

Statuserror_codeCause
400invalid_order_stateThe order is not in a state that can be confirmed — for example it was already confirmed or cancelled.
{
  "error_code": "invalid_order_state",
  "error_msg": "Order cannot be confirmed"
}
Path Params
string
required

ID of the withdrawal order to confirm.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json